curl --request POST \
--url https://api.cekura.ai/observability/v1/alerts/{id}/summarize/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"project": 123,
"source_type": "metric",
"enabled": true,
"source_id": 1073741823,
"source": "<unknown>",
"threshold": "<unknown>",
"notifications": "<unknown>"
}
'import requests
url = "https://api.cekura.ai/observability/v1/alerts/{id}/summarize/"
payload = {
"name": "<string>",
"project": 123,
"source_type": "metric",
"enabled": True,
"source_id": 1073741823,
"source": "<unknown>",
"threshold": "<unknown>",
"notifications": "<unknown>"
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
project: 123,
source_type: 'metric',
enabled: true,
source_id: 1073741823,
source: '<unknown>',
threshold: '<unknown>',
notifications: '<unknown>'
})
};
fetch('https://api.cekura.ai/observability/v1/alerts/{id}/summarize/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cekura.ai/observability/v1/alerts/{id}/summarize/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'project' => 123,
'source_type' => 'metric',
'enabled' => true,
'source_id' => 1073741823,
'source' => '<unknown>',
'threshold' => '<unknown>',
'notifications' => '<unknown>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-CEKURA-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cekura.ai/observability/v1/alerts/{id}/summarize/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"project\": 123,\n \"source_type\": \"metric\",\n \"enabled\": true,\n \"source_id\": 1073741823,\n \"source\": \"<unknown>\",\n \"threshold\": \"<unknown>\",\n \"notifications\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-CEKURA-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cekura.ai/observability/v1/alerts/{id}/summarize/")
.header("X-CEKURA-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"project\": 123,\n \"source_type\": \"metric\",\n \"enabled\": true,\n \"source_id\": 1073741823,\n \"source\": \"<unknown>\",\n \"threshold\": \"<unknown>\",\n \"notifications\": \"<unknown>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cekura.ai/observability/v1/alerts/{id}/summarize/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CEKURA-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"project\": 123,\n \"source_type\": \"metric\",\n \"enabled\": true,\n \"source_id\": 1073741823,\n \"source\": \"<unknown>\",\n \"threshold\": \"<unknown>\",\n \"notifications\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"project": 123,
"source_type": "metric",
"id": 123,
"enabled": true,
"project_name": "<string>",
"source_id": 1073741823,
"source_object_name": "<string>",
"source_object_details": {},
"source": "<unknown>",
"threshold": "<unknown>",
"notifications": "<unknown>",
"last_triggered_at": "2023-11-07T05:31:56Z",
"trigger_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_updated_by": 123,
"last_updated_by_email": "<string>"
}Summarize Alert
Kick off an LLM summary of the last N hours of fires for this alert.
curl --request POST \
--url https://api.cekura.ai/observability/v1/alerts/{id}/summarize/ \
--header 'Content-Type: application/json' \
--header 'X-CEKURA-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"project": 123,
"source_type": "metric",
"enabled": true,
"source_id": 1073741823,
"source": "<unknown>",
"threshold": "<unknown>",
"notifications": "<unknown>"
}
'import requests
url = "https://api.cekura.ai/observability/v1/alerts/{id}/summarize/"
payload = {
"name": "<string>",
"project": 123,
"source_type": "metric",
"enabled": True,
"source_id": 1073741823,
"source": "<unknown>",
"threshold": "<unknown>",
"notifications": "<unknown>"
}
headers = {
"X-CEKURA-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-CEKURA-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
project: 123,
source_type: 'metric',
enabled: true,
source_id: 1073741823,
source: '<unknown>',
threshold: '<unknown>',
notifications: '<unknown>'
})
};
fetch('https://api.cekura.ai/observability/v1/alerts/{id}/summarize/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.cekura.ai/observability/v1/alerts/{id}/summarize/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'project' => 123,
'source_type' => 'metric',
'enabled' => true,
'source_id' => 1073741823,
'source' => '<unknown>',
'threshold' => '<unknown>',
'notifications' => '<unknown>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-CEKURA-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.cekura.ai/observability/v1/alerts/{id}/summarize/"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"project\": 123,\n \"source_type\": \"metric\",\n \"enabled\": true,\n \"source_id\": 1073741823,\n \"source\": \"<unknown>\",\n \"threshold\": \"<unknown>\",\n \"notifications\": \"<unknown>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-CEKURA-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.cekura.ai/observability/v1/alerts/{id}/summarize/")
.header("X-CEKURA-API-KEY", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"project\": 123,\n \"source_type\": \"metric\",\n \"enabled\": true,\n \"source_id\": 1073741823,\n \"source\": \"<unknown>\",\n \"threshold\": \"<unknown>\",\n \"notifications\": \"<unknown>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.cekura.ai/observability/v1/alerts/{id}/summarize/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-CEKURA-API-KEY"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"project\": 123,\n \"source_type\": \"metric\",\n \"enabled\": true,\n \"source_id\": 1073741823,\n \"source\": \"<unknown>\",\n \"threshold\": \"<unknown>\",\n \"notifications\": \"<unknown>\"\n}"
response = http.request(request)
puts response.read_body{
"name": "<string>",
"project": 123,
"source_type": "metric",
"id": 123,
"enabled": true,
"project_name": "<string>",
"source_id": 1073741823,
"source_object_name": "<string>",
"source_object_details": {},
"source": "<unknown>",
"threshold": "<unknown>",
"notifications": "<unknown>",
"last_triggered_at": "2023-11-07T05:31:56Z",
"trigger_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"last_updated_by": 123,
"last_updated_by_email": "<string>"
}Authorizations
API Key Authentication. It should be included in the header of each request.
Path Parameters
A unique integer value identifying this alert.
Body
Detailed serializer for alert retrieval
Alert name
255Project this alert belongs to
Type of data source: metric, duration, call_volume, etc.
metric- Metric
metric Enable/disable alert
ID of monitored object
0 <= x <= 2147483647Source config keyed on sub_type. normal: {sub_type, filters?}. significant_change: {sub_type, window_size, filters?}. threshold: {sub_type, window_size, filters?}. insight_new_mode: {sub_type, min_calls?} — fires when a new failure mode is detected for the metric. insight_uptick: {sub_type, window_hours, baseline_hours} — fires when a failure mode's recent volume spikes vs its baseline. filters is an optional CallLogQueryFilter expression.
Threshold config keyed on the source's sub_type. normal: {} (fires on every failing eval). significant_change: {std_multiplier, ewma_alpha, direction}. threshold: {operator (gt|lt|outside), value (number | {low, high}), min_breaches}. insight_new_mode: {} (fires when a new failure mode appears). insight_uptick: {min_count, multiplier}.
Notification routing. {slack: {workspace_id, channel_id?}} to send to a specific workspace/channel. Empty fans out to every project workspace; empty + no project workspaces means the alert is silent.
Response
Detailed serializer for alert retrieval
Alert name
255Project this alert belongs to
Type of data source: metric, duration, call_volume, etc.
metric- Metric
metric Enable/disable alert
ID of monitored object
0 <= x <= 2147483647Get basic details about the source object
Show child attributes
Show child attributes
Source config keyed on sub_type. normal: {sub_type, filters?}. significant_change: {sub_type, window_size, filters?}. threshold: {sub_type, window_size, filters?}. insight_new_mode: {sub_type, min_calls?} — fires when a new failure mode is detected for the metric. insight_uptick: {sub_type, window_hours, baseline_hours} — fires when a failure mode's recent volume spikes vs its baseline. filters is an optional CallLogQueryFilter expression.
Threshold config keyed on the source's sub_type. normal: {} (fires on every failing eval). significant_change: {std_multiplier, ewma_alpha, direction}. threshold: {operator (gt|lt|outside), value (number | {low, high}), min_breaches}. insight_new_mode: {} (fires when a new failure mode appears). insight_uptick: {min_count, multiplier}.
Notification routing. {slack: {workspace_id, channel_id?}} to send to a specific workspace/channel. Empty fans out to every project workspace; empty + no project workspaces means the alert is silent.
Last trigger timestamp
Total triggers count
User who last updated this alert